package shop.alien.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;
import shop.alien.entity.store.LifeGroupBuyCount;
import shop.alien.entity.store.vo.LifeGroupBuyCountDateVo;
import shop.alien.entity.store.vo.LifeGroupBuyCountVo;

import java.util.List;
import java.util.Map;

/**
 * 团购统计
 */
public interface LifeGroupBuyCountService extends IService<LifeGroupBuyCount> {

    void insertGroupBuyCount(Integer storeId, Integer groupId, Integer userId, String countType);

    Map<String, LifeGroupBuyCountVo> getJysj(String storeId);

    List<LifeGroupBuyCountDateVo> getSphxzb(String storeId);

    List<LifeGroupBuyCountDateVo> getDpzbpm(String storeId);

    void test();
}